---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem01t002.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6C00, symBinAddr: 0x2D20, symSize: 0x270 }
  - { offsetInCU: 0xAD9, offset: 0xAD9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x7CAE0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0xB00, offset: 0xB00, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x7EA20, symBinAddr: 0xE1E0, symSize: 0x0 }
  - { offsetInCU: 0xB22, offset: 0xB22, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x7EE10, symBinAddr: 0xE5D0, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x7FDB0, symBinAddr: 0xF570, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x7FDC0, symBinAddr: 0xF580, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x7C6A0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xBDF, offset: 0xBDF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x7C6A4, symBinAddr: 0xC0C4, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x7C6A8, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0xC2F, offset: 0xC2F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x7C800, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xCA8, offset: 0xCA8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x7C8B8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7C8BC, symBinAddr: 0xC18C, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x7C8C0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7C8C4, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x7C8C8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x92F8, offset: 0x92F8, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x7C8D0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9381, offset: 0x9381, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x7C8E0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x939A, offset: 0x939A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x7C8E8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x7C8F0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x93CC, offset: 0x93CC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x7C8F8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x93E5, offset: 0x93E5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x7C900, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93FF, offset: 0x93FF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x7C908, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7C950, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL12currentPhase, symObjAddr: 0x7C9EC, symBinAddr: 0xC27C, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x7C9F0, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x7C9F8, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL16classLoaderCount, symObjAddr: 0x7CA00, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x956E, offset: 0x956E, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x7CA08, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xA81F, offset: 0xA81F, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x830, symSize: 0x220 }
  - { offsetInCU: 0xAB9A, offset: 0xAB9A, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0xEB20, symBinAddr: 0x5C20, symSize: 0x50 }
  - { offsetInCU: 0xAD33, offset: 0xAD33, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectClassEP8_jobjectiPKc, symObjAddr: 0x680, symBinAddr: 0xA50, symSize: 0x110 }
  - { offsetInCU: 0xAF91, offset: 0xAF91, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x830, symBinAddr: 0xB60, symSize: 0x100 }
  - { offsetInCU: 0xB178, offset: 0xB178, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDED1Ev, symObjAddr: 0x930, symBinAddr: 0xC60, symSize: 0x220 }
  - { offsetInCU: 0xB5B7, offset: 0xB5B7, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDE17DecimalToAsciiRecEPci, symObjAddr: 0xEBC0, symBinAddr: 0x5C70, symSize: 0x50 }
  - { offsetInCU: 0xB676, offset: 0xB676, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvED1Ev, symObjAddr: 0x11D0, symBinAddr: 0xE80, symSize: 0x220 }
  - { offsetInCU: 0xB97E, offset: 0xB97E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvE17DecimalToAsciiRecEPci, symObjAddr: 0xEC60, symBinAddr: 0x5CC0, symSize: 0x50 }
  - { offsetInCU: 0xBAA7, offset: 0xBAA7, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP10_jmethodIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x2820, symBinAddr: 0x10A0, symSize: 0x100 }
  - { offsetInCU: 0xBC8E, offset: 0xBC8E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP10_jmethodIDED1Ev, symObjAddr: 0x2920, symBinAddr: 0x11A0, symSize: 0x220 }
  - { offsetInCU: 0xC0CD, offset: 0xC0CD, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP10_jmethodIDE17DecimalToAsciiRecEPci, symObjAddr: 0xED50, symBinAddr: 0x5D10, symSize: 0x47 }
  - { offsetInCU: 0xC2BA, offset: 0xC2BA, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv16CallObjectMethodEP8_jobjectP10_jmethodIDiPKcz, symObjAddr: 0x2EE0, symBinAddr: 0x13C0, symSize: 0x1C0 }
  - { offsetInCU: 0xC550, offset: 0xC550, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14CallVoidMethodEP8_jobjectP10_jmethodIDiPKcz, symObjAddr: 0x30A0, symBinAddr: 0x1580, symSize: 0x1B0 }
  - { offsetInCU: 0xC7D7, offset: 0xC7D7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x18E0, symSize: 0x80 }
  - { offsetInCU: 0xC86C, offset: 0xC86C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x1830, symSize: 0xB0 }
  - { offsetInCU: 0xC8C7, offset: 0xC8C7, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x1730, symSize: 0x100 }
  - { offsetInCU: 0xCB5A, offset: 0xCB5A, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x37D0, symBinAddr: 0x1960, symSize: 0xC0 }
  - { offsetInCU: 0xCBAC, offset: 0xCBAC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x1A20, symSize: 0x220 }
  - { offsetInCU: 0xCD91, offset: 0xCD91, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x1C40, symSize: 0xA0 }
  - { offsetInCU: 0xCE44, offset: 0xCE44, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x1CE0, symSize: 0x110 }
  - { offsetInCU: 0xCF3A, offset: 0xCF3A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x1DF0, symSize: 0x150 }
  - { offsetInCU: 0xD0B2, offset: 0xD0B2, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x1F40, symSize: 0x30 }
  - { offsetInCU: 0xD173, offset: 0xD173, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x1F70, symSize: 0x150 }
  - { offsetInCU: 0xD36B, offset: 0xD36B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x20C0, symSize: 0x160 }
  - { offsetInCU: 0xD62B, offset: 0xD62B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x54F0, symBinAddr: 0x2220, symSize: 0x4A0 }
  - { offsetInCU: 0xD8C4, offset: 0xD8C4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x5AB0, symBinAddr: 0x26C0, symSize: 0xE0 }
  - { offsetInCU: 0xD984, offset: 0xD984, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x27A0, symSize: 0x1B0 }
  - { offsetInCU: 0xDB9F, offset: 0xDB9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x2950, symSize: 0xA0 }
  - { offsetInCU: 0xDC6E, offset: 0xDC6E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x29F0, symSize: 0x20 }
  - { offsetInCU: 0xDCA5, offset: 0xDCA5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x2A10, symSize: 0x20 }
  - { offsetInCU: 0xDCDC, offset: 0xDCDC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x2A30, symSize: 0x20 }
  - { offsetInCU: 0xDE6B, offset: 0xDE6B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x2A50, symSize: 0x1A0 }
  - { offsetInCU: 0xE187, offset: 0xE187, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x2BF0, symSize: 0x130 }
  - { offsetInCU: 0xE337, offset: 0xE337, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x6E70, symBinAddr: 0x2F90, symSize: 0x1B0 }
  - { offsetInCU: 0xE626, offset: 0xE626, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x3140, symSize: 0x80 }
  - { offsetInCU: 0xE6F0, offset: 0xE6F0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x31C0, symSize: 0x6A0 }
  - { offsetInCU: 0xF20C, offset: 0xF20C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE6F0, symBinAddr: 0x57F0, symSize: 0xB0 }
  - { offsetInCU: 0xF283, offset: 0xF283, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x3860, symSize: 0x70 }
  - { offsetInCU: 0xF357, offset: 0xF357, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x38D0, symSize: 0xA0 }
  - { offsetInCU: 0xF462, offset: 0xF462, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x3970, symSize: 0x40 }
  - { offsetInCU: 0xF558, offset: 0xF558, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x39B0, symSize: 0x2B0 }
  - { offsetInCU: 0xF8FE, offset: 0xF8FE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x3C60, symSize: 0xC0 }
  - { offsetInCU: 0xFA44, offset: 0xFA44, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x3D20, symSize: 0x10 }
  - { offsetInCU: 0xFB06, offset: 0xFB06, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x3D30, symSize: 0x220 }
  - { offsetInCU: 0xFE03, offset: 0xFE03, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xCE50, symBinAddr: 0x3F50, symSize: 0x10 }
  - { offsetInCU: 0xFE60, offset: 0xFE60, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xCE60, symBinAddr: 0x3F60, symSize: 0x600 }
  - { offsetInCU: 0x10658, offset: 0x10658, size: 0x8, addend: 0x0, symName: __ZL11enableEvent14jvmtiEventMode10jvmtiEvent, symObjAddr: 0xE510, symBinAddr: 0x5610, symSize: 0xE0 }
  - { offsetInCU: 0x1076D, offset: 0x1076D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD460, symBinAddr: 0x4560, symSize: 0x10 }
  - { offsetInCU: 0x1092F, offset: 0x1092F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM01_em01t002_loadClass, symObjAddr: 0xD470, symBinAddr: 0x4570, symSize: 0x100 }
  - { offsetInCU: 0x10BD5, offset: 0x10BD5, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xD570, symBinAddr: 0x4670, symSize: 0x40 }
  - { offsetInCU: 0x10D01, offset: 0x10D01, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM01_em01t002_prepareClass, symObjAddr: 0xD5B0, symBinAddr: 0x46B0, symSize: 0xB0 }
  - { offsetInCU: 0x10F2A, offset: 0x10F2A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM01_em01t002_startThread, symObjAddr: 0xD660, symBinAddr: 0x4760, symSize: 0x100 }
  - { offsetInCU: 0x111E5, offset: 0x111E5, size: 0x8, addend: 0x0, symName: _classEventsHandler, symObjAddr: 0xD760, symBinAddr: 0x4860, symSize: 0x340 }
  - { offsetInCU: 0x115ED, offset: 0x115ED, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEvent, symObjAddr: 0xDAA0, symBinAddr: 0x4BA0, symSize: 0x120 }
  - { offsetInCU: 0x11744, offset: 0x11744, size: 0x8, addend: 0x0, symName: _threadEventHandler, symObjAddr: 0xDBC0, symBinAddr: 0x4CC0, symSize: 0x360 }
  - { offsetInCU: 0x11C52, offset: 0x11C52, size: 0x8, addend: 0x0, symName: _cbVMStart, symObjAddr: 0xDF20, symBinAddr: 0x5020, symSize: 0x100 }
  - { offsetInCU: 0x11D94, offset: 0x11D94, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xE020, symBinAddr: 0x5120, symSize: 0x140 }
  - { offsetInCU: 0x11ECB, offset: 0x11ECB, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xE160, symBinAddr: 0x5260, symSize: 0x1B0 }
  - { offsetInCU: 0x12091, offset: 0x12091, size: 0x8, addend: 0x0, symName: _cbClassLoad, symObjAddr: 0xE310, symBinAddr: 0x5410, symSize: 0x20 }
  - { offsetInCU: 0x12100, offset: 0x12100, size: 0x8, addend: 0x0, symName: _cbClassPrepare, symObjAddr: 0xE330, symBinAddr: 0x5430, symSize: 0x20 }
  - { offsetInCU: 0x1216F, offset: 0x1216F, size: 0x8, addend: 0x0, symName: _cbThreadStart, symObjAddr: 0xE350, symBinAddr: 0x5450, symSize: 0x20 }
  - { offsetInCU: 0x121DF, offset: 0x121DF, size: 0x8, addend: 0x0, symName: _cbThreadEnd, symObjAddr: 0xE370, symBinAddr: 0x5470, symSize: 0x20 }
  - { offsetInCU: 0x12272, offset: 0x12272, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xE390, symBinAddr: 0x5490, symSize: 0x180 }
  - { offsetInCU: 0x123CB, offset: 0x123CB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE5F0, symBinAddr: 0x56F0, symSize: 0x100 }
  - { offsetInCU: 0x12512, offset: 0x12512, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE7A0, symBinAddr: 0x58A0, symSize: 0x370 }
...
